"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classnames = _interopRequireDefault(require("classnames"));

var React = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const fontSizes = {
  f1: "4em",
  f2: "3.3em",
  f3: "2.5em"
};

var _default = ({
  children,
  is,
  color,
  weight
}) => {
  const Title = _styledComponents.default.h1`
    font-family: ${({
    theme
  }) => theme.typography.headerFontFamily};
    color: ${({
    theme
  }) => theme.colors[color || "__none"] || "inherit"};
    font-size: ${fontSizes[is || "f1"]};
`;
  const cn = (0, _classnames.default)("lh-title", {
    b: weight === "bold",
    fw3: weight === "light",
    fw5: weight === "medium",
    fw8: weight === "book",
    normal: weight === "regular"
  });
  return React.createElement(Title, {
    className: cn
  }, children);
};

exports.default = _default;
//# sourceMappingURL=Headline.js.map