"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classnames = _interopRequireDefault(require("classnames"));

var React = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = ({
  lead,
  content,
  maxLength,
  paragraph,
  children
}) => {
  const css = (0, _classnames.default)('lh-copy', 'fw4', {
    f4: lead,
    f6: !lead
  });
  const Text = (0, _styledComponents.default)(paragraph ? 'p' : 'span')`
    font-family: ${({
    theme
  }) => theme.typography.bodyFontFamily};
  `;
  let mContent = content;

  if (mContent) {
    if (maxLength && mContent.length > maxLength) {
      mContent = mContent.substr(0, maxLength);
      const lastSpaceIndex = mContent.lastIndexOf(' ');

      if (lastSpaceIndex > 0) {
        mContent = mContent.substr(0, lastSpaceIndex - 1);
      }

      mContent = mContent.trim() + '...';
    }

    return React.createElement(Text, {
      className: css,
      dangerouslySetInnerHTML: {
        __html: mContent
      }
    });
  }

  return React.createElement(Text, {
    className: css
  }, children);
};

exports.default = _default;
//# sourceMappingURL=Text.js.map